#' Antigenicity Accelerated Stability Data
#'
#' An example dataset containing antigenicity concentration data at different
#' temperatures over a period of up to 147 days.
#'
#' @docType data
#'
#' @usage data(antigenicity)
#'
#' @format An object of class \code{"data.frame"} with 50 rows and 5 variables
#' \describe{
#'  \item{time}{Number of days in years for which the datapoints are gathered.}
#'  \item{conc}{The concentration at a time.}
#'  \item{K}{The temperature in Kelvin.}
#'  \item{Celsius}{The temperature in celsius.}
#'  \item{days}{Number of days for which the datapoints are gathered.}
#'
#' }
#'
#' @keywords dataset
#'
"antigenicity"
